# TdApi.CheckChatUsername (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: CheckChatUsername

Package it.tdlight.jni

# Class TdApi.CheckChatUsername

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.CheckChatUsername

Enclosing class:
  TdApi

    public static class TdApi.CheckChatUsername
    extends TdApi.Function

Checks whether a username can be set for a chat.

Returns `CheckChatUsernameResult`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Chat identifier; must be identifier of a supergroup chat, or a channel chat, or a private chat with self, or zero if the chat is being created.
`static int` | `CONSTRUCTOR` |
`String` | `username` | Username to be checked.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CheckChatUsername()` | Checks whether a username can be set for a chat.
`CheckChatUsername​(long chatId, String username)` | Checks whether a username can be set for a chat.
`CheckChatUsername​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier; must be identifier of a supergroup chat, or a channel chat, or a private chat with self, or zero if the chat is being created.

### username

public String username
Username to be checked.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### CheckChatUsername

public CheckChatUsername()
Checks whether a username can be set for a chat.

Returns `CheckChatUsernameResult`

### CheckChatUsername

public CheckChatUsername​(long chatId, String username)
Checks whether a username can be set for a chat.

Returns `CheckChatUsernameResult`

Parameters:
  `chatId` - long Chat identifier; must be identifier of a supergroup chat, or a channel chat, or a private chat with self, or zero if the chat is being created.
  `username` - String Username to be checked.

### CheckChatUsername

public CheckChatUsername​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`